Zum Hauptinhalt springen
DELETE
/
data-studio
/
data-source
/
2026-09-beta
/
{datasourceId}
Delete data source
curl --request DELETE \
  --url https://api.hubapi.com/data-studio/data-source/2026-09-beta/{datasourceId} \
  --header 'Authorization: Bearer <token>'
{
  "message": "Invalid input (details will vary based on the error)",
  "correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
  "category": "VALIDATION_ERROR",
  "links": {
    "knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
  }
}

Supported products

Autorisierungen

Authorization
string
header
erforderlich

The access token received from the authorization server in the OAuth 2.0 flow.

Pfadparameter

datasourceId
integer<int64>
erforderlich

The ID of the datasource.

Antwort

default - */*
category
string
erforderlich

The error category

correlationId
string<uuid>
erforderlich

A unique identifier for the request. Include this value with any error reports or support tickets

Beispiel:

"aeb5f871-7f07-4993-9211-075dc63e7cbf"

message
string
erforderlich

A human readable message describing the error along with remediation steps where appropriate

Beispiel:

"An error occurred"

context
object

Context about the error condition

Beispiel:

"{invalidPropertyName=[propertyValue], missingScopes=[scope1, scope2]}"

errors
object[]

further information about the error

A map of link names to associated URIs containing documentation about the error or recommended remediation steps

subCategory
string

A specific category that contains more specific detail about the error

Last modified on April 9, 2026